# EmailConfirmation

Email confirmation

## PUT /v3/account/email/confirm

> Confirm email

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"EmailConfirmation","description":"Email confirmation"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"EmailConfirmation":{"type":"object","required":["userId","hash"],"properties":{"userId":{"type":"integer","format":"integer","description":"UserId"},"hash":{"type":"string","format":"","description":"Hash"}},"additionalProperties":false},"EmailConfirmationResult":{"type":"object","required":["emailAddress","emailType"],"properties":{"emailAddress":{"type":"string","format":"","description":"The e-mail address that was validated"},"emailType":{"type":"string","format":"","description":"Type of e-mail that was validated, possible types can be main, billing or abuse"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/email/confirm":{"put":{"tags":["EmailConfirmation"],"summary":"Confirm email","operationId":"confirmEmail","requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfirmation"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfirmationResult"}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid confirmation details"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/email/confirm/resend

> Resend email confirmation

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"EmailConfirmation","description":"Email confirmation"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"EmailConfirmationResend":{"type":"object","required":["email"],"properties":{"email":{"type":"string","format":"","description":"Email to resend the confirmation for"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/email/confirm/resend":{"post":{"tags":["EmailConfirmation"],"summary":"Resend email confirmation","operationId":"resendEmailConfirmation","requestBody":{"description":"to resend the confirmation to","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfirmationResend"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid email"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/email/confirm/resend/oauth

> Resend email confirmation

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"EmailConfirmation","description":"Email confirmation"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"EmailConfirmationResend":{"type":"object","required":["email"],"properties":{"email":{"type":"string","format":"","description":"Email to resend the confirmation for"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/email/confirm/resend/oauth":{"post":{"tags":["EmailConfirmation"],"summary":"Resend email confirmation","operationId":"resendOAuthEmailConfirmation","requestBody":{"description":"to resend the confirmation to","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfirmationResend"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid email"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/emailconfirmation-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
